package it.davideorlandi.jtbtar.ui;

import it.davideorlandi.jtbtar.LocaleManager;

import java.io.IOException;
import java.util.Properties;

import javax.swing.BorderFactory;
import javax.swing.JDialog;
import javax.swing.JFrame;
import javax.swing.JLabel;

/**
 * About dialog
 * @author Davide
 */
public class AboutDialog extends JDialog
{
    private static final int BORDER = 10;

    /**
     * Constructor.
     * @param owner parent frame.
     * @param modal true if modal dialog.
     */
    public AboutDialog(final JFrame owner, final boolean modal)
    {
        super(owner, modal);
        Properties p = loadVersionProperties();
        setTitle(LocaleManager.format("ui.dialog.about.title"));
        String text = LocaleManager.format("ui.dialog.about.text", p.getProperty("version"));
        JLabel textLabel = new JLabel(text);
        textLabel.setBorder(BorderFactory.createEmptyBorder(BORDER, BORDER, BORDER, BORDER));
        getContentPane().add(textLabel);
        pack();
        setLocationRelativeTo(owner);
    }

    /**
     * Load version property file.
     * @return properties.
     */
    private Properties loadVersionProperties()
    {
        try
        {
            Properties p = new Properties();
            p.load(getClass().getResourceAsStream("/version.properties"));
            return p;
        }
        catch (IOException ioe)
        {
            throw new RuntimeException(ioe);
        }
    }

}
